.chart-card {
    border-radius: 15px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 15px;
    background: white;
    height: 100%;
    width: 100%;
}

.chart {
    background-color: #ffffff;
}

.nav-link {
    color: #555555
}

.nav-link:hover{
    color: #ffffff
}

.language:hover{
    color: #555555 !important;
}

.language:hover{
    color: #555555 !important;
}

.hover {
  background-color: transparent;
  transition: .1s;
  background-position 0s;
  border-radius: 30px;
  padding: 0 5px 0 5px;
  border: none;
}

.hover:hover {
  background-color: #82DFE3;
  border-radius: 30px;
}

.select2-container {
    width: 100% !important;
}

.card {
    overflow: visible !important;
}

table.dataTable {
    table-layout: fixed; 
    width: 100% !important;
}

td, tr, th {
    word-wrap: break-word;
    overflow-wrap: break-word;
    text-align: center;
}

#entriesTable th {
    text-align: center;
    word-wrap: break-word;
    overflow-wrap: break-word;
}

.form-check-input:checked {
    background-color: #82DFE3;
    border-color: #82DFE3;
}

.form-check-input:focus {
    border-color: 82DFE3;
    box-shadow: 0 0 0 0.25rem #82DFE3, 0.25);
}

.page-link {
    color:#82DFE3;
}

.page-item.active .page-link {
    background-color: #82DFE3;
    border-color: #82DFE3;
    color: #fff;
}

.btn-resgen {
    background-color: #82DFE3 !important;
    color: #fff; 
}

.badge-resgen {
    background-color: #82DFE3; 
    color: #fff;              
}

.badge-Human {
    background-color: #f47621; 
    color: #fff;              
}

.badge-Environmental {
    background-color: #5eb801; 
    color: #fff;          
}

.badge-Animal {
    background-color: #36a1d9; 
    color: #fff;              
}

.badge-Food {
    background-color: #c021f4; 
    color: #fff;              
}

.badge-Bacteria {
    background-color: #dc19ac; 
    color: #fff;              
}

.badge-Fungi {
    background-color: #83dc19; 
    color: #fff;   
    width:           
}

.badge-Algae {
    background-color: #edea08; 
    color: #fff;              
}

.badge-Archaea {
    background-color: #29dfbf; 
    color: #fff;              
}

.badge-Superior {
    background-color: #dc1919; 
    color: #fff;              
}

.badge-Metagenome {
    background-color: #77cefb; 
    color: #fff;              
}

td .badge-Environmental, th .badge-Environmental,
td .badge-Human, th .badge-Human,
td .badge-Food, th .badge-Food,
td .badge-Animal, th .badge-Animal {
    width: 100%;
}

td .badge-Bacteria, th .badge-Bacteria,
td .badge-Fungi, th .badge-Fungi,
td .badge-Algae, th .badge-Algae,
td .badge-Archaea, th .badge-Archaea,
td .badge-Superior, th .badge-Superior,
td .badge-Metagenome, th .badge-Metagenome {
    width: 80%;
}

td .badge, th .badge, dd .badge {
    font-size: 0.9rem !important;
}

td .badge, th .badge {
    text-align: center !important;
}

.badge-resgen, .card-body .badge {
    white-space: normal;
    text-align: left;
    word-break: break-word;
}

.pdf-only {
    display: none;
}

.custom-tooltip {
  --bs-tooltip-bg: #555555;
  --bs-tooltip-color: white;
}

#entriesTable tbody tr:hover {
    cursor: pointer;
}

.publication-card {
    border: 2px solid #82DFE3;
    border-radius: 0.75rem; /* Rounded corners */
    transition: box-shadow 0.2s ease-in-out;
}
.publication-card:hover {
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.1);
}
.publication-title {
    color: #82DFE3;
    text-decoration: none;
    font-weight: 600;
}
.publication-title:hover {
    color: #5ea9ad; 
}
.access-link {
    text-decoration: none;
    color: #555;
    font-weight: 500;
}
.access-link:hover {
    color: #000;
}

.institution-logo {
    max-height: 80px;
    filter: grayscale(100%);
    transition: filter 0.3s ease;
}
.institution-logo:hover {
    filter: grayscale(0%);
}

.lab-section {
    border: 3px solid #55555563;
    border-radius: 20px;
    padding: 2%;
}

.lab-name {
    text-decoration: none;
    color: #555555;
    font-weight: 600;
}

.researcher-img {
    width: 200px;
    height: 200px;
    object-fit: cover;
    border-radius: 10%;
    border: 4px solid #82DFE3;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
}
.researcher-name {
    font-weight: 600;
    margin-top: 0.75rem;
}
.researcher-activities {
    font-size: 9pt;
    max-width: 200px; /* Adjust the width as needed */
    line-height: 1.4; 
    min-height: 2.8em; 
    display: inline-block; /* Allows max-width to take effect */
    overflow-wrap: break-word; /* Forces long words to wrap */
    word-wrap: break-word; /* For older browser compatibility */

}
.researcher-social-links a {
    color: #333;
    font-size: 1.5rem;
    margin: 0 0.5rem;
    transition: color 0.2s ease;
}
.researcher-social-links a:hover {
    color: #82DFE3;
}

.researcher-category-col {
    padding: 1rem;
}
.researcher-profile-mini {
    text-align: center;
    margin-bottom: 1.5rem;
}
.researcher-profile-mini .researcher-img {
    width: 100px; /* Smaller images for column layout */
    height: 100px;
    margin-bottom: 0.5rem;
}

.researcher-category-group {
    text-align: center;
}

.researcher-card {
    padding: 1rem;
}

.btn-gallery-nav {
    position: absolute;
    top: 50%; 
    transform: translateY(-50%);
    z-index: 10; 
    color: white;
    border: none;
    font-size: 1.5rem;
    padding: 0.5rem 1rem;
    border-radius: 50%;
}

.btn-gallery-nav:hover {
    color: white;
}

.btn-gallery-nav.prev {
    left: 15px; /* Position the 'previous' button on the left */
}

.btn-gallery-nav.next {
    right: 15px; /* Position the 'next' button on the right */
}

.fasta {
    background: #f0f0f0;
    padding: 10pt;
    border-radius: 5pt;
    font-family: "Cutive Mono", monospace;
}





@media print {
            
    .printable {
        border: none !important;
    }
    
    .printable, * :not(.modal-header *, .badge, #antibiogram_chartdiv, #mapdiv){
        -webkit-print-color-adjust: exact !important;
        width: 100% !important;
        overflow: visible !important;
        position: static !important;
        max-width: none;
    }

    #mapdiv, #antibiogram_chartdiv {
        overflow: hidden !important;
    }

    .printable .am5-legend {
        overflow: hidden !important;
        display: block !important;
        visibility: visible !important;
    }

    .modal-backdrop {
        display: none !important;
    }
    /* Hide everything on the page that ISN'T the printable area */
    .no-print, nav, footer, #abundance_chartdiv {
        display: none !important;
    }
    /* Show your print-only logo and watermark */
    .pdf-only, #abundance {
        display: block !important;
    }
    /* Hide buttons that shouldn't be in the printout */
    .btn, .btn-close, .go-back-link {
        display: none !important;
        visibility: hidden;
    }
}

.carousel-image {
    width: auto; /* Let the image determine the width */
    height: 100px; /* Maintain a consistent height for the row */
    flex-shrink: 0;
    padding: 0 10px;
    box-sizing: border-box;
}
.carousel-image img {
    height: 100%;
    width: auto;
    object-fit: cover;
    transition: transform 0.3s ease-in-out;
}